# Uses of Interface
org.eclipse.birt.report.model.api.oda.interfaces.IAggregationDefn

Packages that use IAggregationDefn
Package
Description
org.eclipse.birt.report.model.api.oda

## Uses of IAggregationDefn in org.eclipse.birt.report.model.api.oda

Classes in org.eclipse.birt.report.model.api.oda that implement IAggregationDefn
Modifier and Type
Class
Description
`class`
`AggregationDefn`
Fields in org.eclipse.birt.report.model.api.oda with type parameters of type IAggregationDefn
Modifier and Type
Field
Description
`protected static final List<IAggregationDefn>`
OdaAggregationHelperImpl.`birtAggregationDefinitions`
Methods in org.eclipse.birt.report.model.api.oda that return IAggregationDefn
Modifier and Type
Method
Description
`static IAggregationDefn`
OdaAggregationHelper.`getAggregationDefn(String birtAggregationId, String datasetExtId, String datasourceExtId)`
Methods in org.eclipse.birt.report.model.api.oda that return types with arguments of type IAggregationDefn
Modifier and Type
Method
Description
`static List<IAggregationDefn>`
OdaAggregationHelper.`getAggregationDefinitions(String dataSetExtId, String dataSourceExtId)`